Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

We’re showing branches in this repository, but you can also compare across forks.

base fork: mguymon/solr_sail
base: master
...
head fork: mkristian/solr_sail
compare: master
  • 1 commit
  • 13 files changed
  • 0 commit comments
  • 1 contributor
14 Gemfile
View
@@ -1,14 +0,0 @@
-source "http://rubygems.org"
-
-gem "lock_jar", "~> 0.6.0"
-gem "thor", "> 0.14.0"
-
-group :development do
- gem 'rsolr', "~> 1.0.0"
- gem "rspec", "~> 2.11.0"
- gem "bundler", "~> 1.1.4"
- gem "jeweler", "~> 1.8.4"
- gem 'jruby-openssl'
- gem 'yard'
-end
-
48 Gemfile.lock
View
@@ -1,48 +0,0 @@
-GEM
- remote: http://rubygems.org/
- specs:
- bouncy-castle-java (1.5.0146.1)
- builder (3.0.0)
- diff-lcs (1.1.3)
- git (1.2.5)
- jeweler (1.8.4)
- bundler (~> 1.0)
- git (>= 1.2.5)
- rake
- rdoc
- jruby-openssl (0.7.7)
- bouncy-castle-java (>= 1.5.0146.1)
- json (1.7.5)
- json (1.7.5-java)
- lock_jar (0.6.0)
- naether (~> 0.9.0)
- thor (> 0.14.0)
- naether (0.9.2-java)
- rake (0.9.2.2)
- rdoc (3.12)
- json (~> 1.4)
- rsolr (1.0.8)
- builder (>= 2.1.2)
- rspec (2.11.0)
- rspec-core (~> 2.11.0)
- rspec-expectations (~> 2.11.0)
- rspec-mocks (~> 2.11.0)
- rspec-core (2.11.1)
- rspec-expectations (2.11.2)
- diff-lcs (~> 1.1.3)
- rspec-mocks (2.11.2)
- thor (0.16.0)
- yard (0.8.2.1)
-
-PLATFORMS
- java
-
-DEPENDENCIES
- bundler (~> 1.1.4)
- jeweler (~> 1.8.4)
- jruby-openssl
- lock_jar (~> 0.6.0)
- rsolr (~> 1.0.0)
- rspec (~> 2.11.0)
- thor (> 0.14.0)
- yard
1  Jarfile
View
@@ -1 +0,0 @@
-pom 'pom.xml'
89 Jarfile.lock
View
@@ -1,89 +0,0 @@
----
-scopes:
- compile:
- dependencies:
- - pom.xml
- resolved_dependencies:
- - com.tobedevoured.command:core:jar:0.0.1
- - org.modeshape:modeshape-common:jar:2.8.2.Final
- - com.metapossum:metapossum-scanner:jar:1.0.1
- - commons-beanutils:commons-beanutils:jar:1.8.3
- - commons-logging:commons-logging:jar:1.1.1
- - com.typesafe:config:jar:0.5.0
- - org.slf4j:slf4j-api:jar:1.6.6
- - org.eclipse.jetty:jetty-server:jar:8.1.4.v20120524
- - org.eclipse.jetty.orbit:javax.servlet:jar:3.0.0.v201112011016
- - org.eclipse.jetty:jetty-continuation:jar:8.1.4.v20120524
- - org.eclipse.jetty:jetty-http:jar:8.1.4.v20120524
- - org.eclipse.jetty:jetty-io:jar:8.1.4.v20120524
- - org.eclipse.jetty:jetty-jndi:jar:8.1.4.v20120524
- - org.eclipse.jetty.orbit:javax.mail.glassfish:jar:1.4.1.v201005082020
- - org.eclipse.jetty.orbit:javax.activation:jar:1.1.0.v201105071233
- - org.eclipse.jetty:jetty-jmx:jar:8.1.4.v20120524
- - org.eclipse.jetty:jetty-util:jar:8.1.4.v20120524
- - org.eclipse.jetty:jetty-webapp:jar:8.1.4.v20120524
- - org.eclipse.jetty:jetty-xml:jar:8.1.4.v20120524
- - org.eclipse.jetty:jetty-servlet:jar:8.1.4.v20120524
- - org.eclipse.jetty:jetty-security:jar:8.1.4.v20120524
- - org.eclipse.jetty:jetty-plus:jar:8.1.4.v20120524
- - org.eclipse.jetty.orbit:javax.transaction:jar:1.1.1.v201105210645
- - org.eclipse.jetty:jetty-jsp:jar:8.1.4.v20120524
- - org.eclipse.jetty.orbit:javax.servlet.jsp:jar:2.2.0.v201112011158
- - org.eclipse.jetty.orbit:org.apache.jasper.glassfish:jar:2.2.2.v201112011158
- - org.eclipse.jetty.orbit:javax.servlet.jsp.jstl:jar:1.2.0.v201105211821
- - org.eclipse.jetty.orbit:org.apache.taglibs.standard.glassfish:jar:1.2.0.v201112081803
- - org.eclipse.jetty.orbit:javax.el:jar:2.2.0.v201108011116
- - org.eclipse.jetty.orbit:com.sun.el:jar:2.2.0.v201108011116
- - org.eclipse.jetty.orbit:org.eclipse.jdt.core:jar:3.7.1
- - org.eclipse.jdt.core.compiler:ecj:jar:3.7.2
- - org.apache.solr:solr-core:jar:3.6.1
- - org.apache.solr:solr-solrj:jar:3.6.1
- - commons-httpclient:commons-httpclient:jar:3.1
- - org.codehaus.woodstox:wstx-asl:jar:3.2.7
- - org.apache.lucene:lucene-core:jar:3.6.1
- - org.apache.lucene:lucene-analyzers:jar:3.6.1
- - org.apache.lucene:lucene-highlighter:jar:3.6.1
- - org.apache.lucene:lucene-kuromoji:jar:3.6.1
- - org.apache.lucene:lucene-memory:jar:3.6.1
- - org.apache.lucene:lucene-misc:jar:3.6.1
- - org.apache.lucene:lucene-phonetic:jar:3.6.1
- - org.apache.lucene:lucene-queries:jar:3.6.1
- - jakarta-regexp:jakarta-regexp:jar:1.4
- - org.apache.lucene:lucene-spatial:jar:3.6.1
- - org.apache.lucene:lucene-spellchecker:jar:3.6.1
- - org.apache.lucene:lucene-grouping:jar:3.6.1
- - commons-codec:commons-codec:jar:1.6
- - commons-fileupload:commons-fileupload:jar:1.2.1
- - org.slf4j:jcl-over-slf4j:jar:1.6.1
- - commons-io:commons-io:jar:2.1
- - commons-lang:commons-lang:jar:2.6
- - com.google.guava:guava:jar:r05
- - javax.servlet:servlet-api:jar:2.4
- - ch.qos.logback:logback-classic:jar:1.0.6
- - ch.qos.logback:logback-core:jar:1.0.6
- runtime:
- dependencies:
- - pom.xml
- resolved_dependencies: []
-
- test:
- dependencies:
- - pom.xml
- resolved_dependencies:
- - junit:junit:jar:4.10
- - org.hamcrest:hamcrest-core:jar:1.1
- - org.apache.solr:solr-solrj:jar:3.6.1
- - commons-httpclient:commons-httpclient:jar:3.1
- - commons-io:commons-io:jar:2.1
- - org.codehaus.woodstox:wstx-asl:jar:3.2.7
- - org.slf4j:jcl-over-slf4j:jar:1.6.1
- - org.slf4j:slf4j-api:jar:1.6.1
- - org.apache.httpcomponents:httpclient:jar:4.2.1
- - org.apache.httpcomponents:httpcore:jar:4.2.1
- - commons-logging:commons-logging:jar:1.1.1
- - commons-codec:commons-codec:jar:1.6
- - org.apache.httpcomponents:httpmime:jar:4.2.1
-repositories:
- - http://repo1.maven.org/maven2/
- - http://repository.jboss.org/nexus/content/groups/public-jboss
- - https://oss.sonatype.org/content/groups/public
6 Mavenfile
View
@@ -0,0 +1,6 @@
+plugin(:source).execute_goal :jar
+plugin(:javadoc).execute_goal :jar
+plugin(:gpg).in_phase(:verify).execute_goal(:sign)
+plugin(:jar).with( :archive => { :manifest => { :mainClass => 'com.tobedevoured.command.Runner' } } )
+
+repository(:sonatype).url 'https://oss.sonatype.org/content/groups/public'
8 PostInstallRakefile
View
@@ -1,8 +0,0 @@
-task :default => :prepare
-
-task :prepare do
- $:.unshift File.expand_path('../lib', __FILE__)
- require 'solr_sail'
- puts "Installing Jar Dependencies"
- SolrSail.install_jars
-end
0  src/main/bin/solrsail → bin/solrsail
View
File renamed without changes
BIN  lib/solr_sail.jar
View
Binary file not shown
6 src/main/ruby/solr_sail.rb → lib/solr_sail.rb
View
@@ -13,8 +13,8 @@
#
module SolrSail
- DEFAULT_JAR_NAME = "solr_sail-#{SolrSail::VERSION}.jar"
- DEFAULT_JAR = File.expand_path("#{File.dirname(__FILE__)}/../#{DEFAULT_JAR_NAME}")
+ DEFAULT_JAR_NAME = "solr_sail.jar"
+ DEFAULT_JAR = File.expand_path("#{File.dirname(__FILE__)}/#{DEFAULT_JAR_NAME}")
DEFAULT_LOCKFILE = File.expand_path("#{File.dirname(__FILE__)}/../Jarfile.lock")
#
@@ -89,4 +89,4 @@ def self.start( opts )
jetty
end
-end
+end
0  src/main/ruby/solr_sail/cli.rb → lib/solr_sail/cli.rb
View
File renamed without changes
0  src/main/ruby/solr_sail/version.rb → lib/solr_sail/version.rb
View
File renamed without changes
199 pom.xml
View
@@ -1,199 +0,0 @@
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
- xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
- <modelVersion>4.0.0</modelVersion>
-
- <groupId>com.tobedevoured</groupId>
- <artifactId>solr_sail</artifactId>
- <version>0.0.6</version>
- <packaging>jar</packaging>
-
- <name>Solr Sail</name>
- <url>https://github.com/mguymon/solr_sail</url>
- <description>
- Solr Search fresh from the can
- </description>
- <licenses>
- <license>
- <name>The Apache Software License, Version 2.0</name>
- <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
- <distribution>repo</distribution>
- </license>
- </licenses>
- <scm>
- <url>scm:git:git@github.com/mguymon/by_your_command.git</url>
- <developerConnection>scm:git:git@github.com/mguymon/by_your_command.git</developerConnection>
- <connection>git@github.com/mguymon/by_your_command.git</connection>
- </scm>
- <developers>
- <developer>
- <id>mguymon</id>
- <name>Michael Guymon</name>
- <email>michael@tobedevoured.com</email>
- </developer>
- </developers>
- <distributionManagement>
- <repository>
- <id>nexus-releases</id>
- <name>Nexus Release Repository</name>
- <url>http://oss.sonatype.org/service/local/staging/deploy/maven2/</url>
- </repository>
- </distributionManagement>
-
- <repositories>
- <repository>
- <id>org.jboss.repository</id>
- <name>JBoss Repository</name>
- <url>http://repository.jboss.org/nexus/content/groups/public-jboss</url>
- </repository>
- <repository>
- <id>oss.sonatype.org</id>
- <name>Sonatype Repository</name>
- <url>https://oss.sonatype.org/content/groups/public</url>
- </repository>
- </repositories>
-
- <properties>
- <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
- <jetty.version>8.1.4.v20120524</jetty.version>
- </properties>
-
- <dependencies>
- <dependency>
- <groupId>com.tobedevoured.command</groupId>
- <artifactId>core</artifactId>
- <version>0.0.1</version>
- </dependency>
-
- <!-- Jetty -->
- <dependency>
- <groupId>org.eclipse.jetty</groupId>
- <artifactId>jetty-server</artifactId>
- <version>${jetty.version}</version>
- </dependency>
- <dependency>
- <groupId>org.eclipse.jetty</groupId>
- <artifactId>jetty-jndi</artifactId>
- <version>${jetty.version}</version>
- </dependency>
- <dependency>
- <groupId>org.eclipse.jetty</groupId>
- <artifactId>jetty-jmx</artifactId>
- <version>${jetty.version}</version>
- </dependency>
- <dependency>
- <groupId>org.eclipse.jetty</groupId>
- <artifactId>jetty-webapp</artifactId>
- <version>${jetty.version}</version>
- </dependency>
- <dependency>
- <groupId>org.eclipse.jetty</groupId>
- <artifactId>jetty-plus</artifactId>
- <version>${jetty.version}</version>
- </dependency>
- <dependency>
- <groupId>org.eclipse.jetty</groupId>
- <artifactId>jetty-jsp</artifactId>
- <version>${jetty.version}</version>
- </dependency>
-
- <!-- JSP Compiler -->
- <dependency>
- <groupId>org.eclipse.jdt.core.compiler</groupId>
- <artifactId>ecj</artifactId>
- <version>3.7.2</version>
- </dependency>
-
- <!-- Solr -->
- <dependency>
- <groupId>org.apache.solr</groupId>
- <artifactId>solr-core</artifactId>
- <version>3.6.1</version>
- </dependency>
-
- <!-- Logging -->
- <dependency>
- <groupId>ch.qos.logback</groupId>
- <artifactId>logback-classic</artifactId>
- <version>1.0.6</version>
- </dependency>
-
- <!-- Testing -->
- <dependency>
- <groupId>junit</groupId>
- <artifactId>junit</artifactId>
- <version>4.10</version>
- <scope>test</scope>
- </dependency>
- <dependency>
- <groupId>org.apache.solr</groupId>
- <artifactId>solr-solrj</artifactId>
- <version>3.6.1</version>
- <scope>test</scope>
- </dependency>
- <dependency>
- <groupId>org.apache.httpcomponents</groupId>
- <artifactId>httpclient</artifactId>
- <version>4.2.1</version>
- <scope>test</scope>
- </dependency>
- <dependency>
- <groupId>org.apache.httpcomponents</groupId>
- <artifactId>httpmime</artifactId>
- <version>4.2.1</version>
- <scope>test</scope>
- </dependency>
- </dependencies>
-
- <build>
- <plugins>
- <plugin>
- <groupId>org.apache.maven.plugins</groupId>
- <artifactId>maven-jar-plugin</artifactId>
- <configuration>
- <archive>
- <manifest>
- <mainClass>com.tobedevoured.command.Runner</mainClass>
- </manifest>
- </archive>
- </configuration>
- </plugin>
- <plugin>
- <groupId>org.apache.maven.plugins</groupId>
- <artifactId>maven-source-plugin</artifactId>
- <executions>
- <execution>
- <id>attach-sources</id>
- <goals>
- <goal>jar</goal>
- </goals>
- </execution>
- </executions>
- </plugin>
- <plugin>
- <groupId>org.apache.maven.plugins</groupId>
- <artifactId>maven-javadoc-plugin</artifactId>
- <executions>
- <execution>
- <id>attach-javadocs</id>
- <goals>
- <goal>jar</goal>
- </goals>
- </execution>
- </executions>
- </plugin>
- <plugin>
- <groupId>org.apache.maven.plugins</groupId>
- <artifactId>maven-gpg-plugin</artifactId>
- <executions>
- <execution>
- <id>sign-artifacts</id>
- <phase>verify</phase>
- <goals>
- <goal>sign</goal>
- </goals>
- </execution>
- </executions>
- </plugin>
- </plugins>
- </build>
-</project>
72 solr_sail.gemspec
View
@@ -0,0 +1,72 @@
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = "solr_sail"
+ s.version = "0.0.7"
+ s.platform = "java"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Michael Guymon"]
+ s.date = "2012-09-20"
+ s.description = "From zero to search in the flash of a gem."
+ s.email = "michael@tobedevoured.com"
+ s.executables = ["solrsail"]
+ s.extra_rdoc_files = ["LICENSE", "README.md"]
+ s.files = ["LICENSE", "README.md", "Rakefile", "VERSION", "bin/solrsail", "lib/solr_sail.rb", "lib/solr_sail/cli.rb", "lib/solr_sail/version.rb", "lib/solr_sail.jar"]
+ s.homepage = "http://github.com/mguymon/solr_sail"
+ s.licenses = ["MIT"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = "1.8.21"
+ s.summary = "From zero to search in the flash of a gem."
+
+ jetty_version = '8.1.4.v20120524'
+
+ s.requirements << "jar 'ch.qos.logback:logback-classic', '1.0.6'"
+ s.requirements << "jar 'com.tobedevoured.command:core', '0.0.1'"
+ s.requirements << "testjar 'junit:junit', '4.10'"
+ s.requirements << "testjar 'org.apache.httpcomponents:httpclient', '4.2.1'"
+ s.requirements << "testjar 'org.apache.httpcomponents:httpmime', '4.2.1'"
+ s.requirements << "jar 'org.apache.solr:solr-core', '3.6.1'"
+ s.requirements << "testjar 'org.apache.solr:solr-solrj', '3.6.1'"
+ s.requirements << "jar 'org.eclipse.jdt.core.compiler:ecj', '3.7.2'"
+ s.requirements << "jar 'org.eclipse.jetty:jetty-jmx', '#{jetty_version}'"
+ s.requirements << "jar 'org.eclipse.jetty:jetty-jndi', '#{jetty_version}'"
+ s.requirements << "jar 'org.eclipse.jetty:jetty-jsp', '#{jetty_version}'"
+ s.requirements << "jar 'org.eclipse.jetty:jetty-plus', '#{jetty_version}'"
+ s.requirements << "jar 'org.eclipse.jetty:jetty-server', '#{jetty_version}'"
+ s.requirements << "jar 'org.eclipse.jetty:jetty-webapp', '#{jetty_version}'"
+
+ if s.respond_to? :specification_version then
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<lock_jar>, ["~> 0.6.0"])
+ s.add_runtime_dependency(%q<thor>, ["> 0.14.0"])
+ s.add_development_dependency(%q<rsolr>, ["~> 1.0.0"])
+ s.add_development_dependency(%q<rspec>, ["~> 2.11.0"])
+ s.add_development_dependency(%q<bundler>, ["~> 1.1.4"])
+ s.add_development_dependency(%q<jeweler>, ["~> 1.8.4"])
+ s.add_development_dependency(%q<jruby-openssl>, [">= 0.7.6.1"])
+ s.add_development_dependency(%q<yard>, [">= 0"])
+ else
+ s.add_dependency(%q<lock_jar>, ["~> 0.6.0"])
+ s.add_dependency(%q<thor>, ["> 0.14.0"])
+ s.add_dependency(%q<rsolr>, ["~> 1.0.0"])
+ s.add_dependency(%q<rspec>, ["~> 2.11.0"])
+ s.add_dependency(%q<bundler>, ["~> 1.1.4"])
+ s.add_dependency(%q<jeweler>, ["~> 1.8.4"])
+ s.add_dependency(%q<jruby-openssl>, [">= 0"])
+ s.add_dependency(%q<yard>, [">= 0"])
+ end
+ else
+ s.add_dependency(%q<lock_jar>, ["~> 0.6.0"])
+ s.add_dependency(%q<thor>, ["> 0.14.0"])
+ s.add_dependency(%q<rsolr>, ["~> 1.0.0"])
+ s.add_dependency(%q<rspec>, ["~> 2.11.0"])
+ s.add_dependency(%q<bundler>, ["~> 1.1.4"])
+ s.add_dependency(%q<jeweler>, ["~> 1.8.4"])
+ s.add_dependency(%q<jruby-openssl>, [">= 0"])
+ s.add_dependency(%q<yard>, [">= 0"])
+ end
+end
+

No commit comments for this range

Something went wrong with that request. Please try again.